Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit.calculatecolumn
Class UndefinedIDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.nfunk.jep.ParseException
                  info.bioinfweb.treegraph.document.undo.edit.calculatecolumn.UndefinedIDException

All Implemented Interfaces:
  java.io.Serializable

    public class UndefinedIDException

extends org.nfunk.jep.ParseException

This exception is thrown by the methods of `CalculateColumnEdit` if an undefined ID column is referenced in an expression.

Since:
  2.0.24
Author:
  Ben Stöver
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.nfunk.jep.ParseException
`currentToken, eol, expectedTokenSequences, specialConstructor, tokenImage`

Constructor Summary
`UndefinedIDException()`
`UndefinedIDException(java.lang.String msg)`
`UndefinedIDException(org.nfunk.jep.Token currentTokenVal, int[][] expectedTokenSequencesVal, java.lang.String[] tokenImageVal)`

Method Summary

Methods inherited from class org.nfunk.jep.ParseException
`add_escapes, getErrorInfo, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndefinedIDException

    public UndefinedIDException()

### UndefinedIDException

    public UndefinedIDException(java.lang.String msg)

### UndefinedIDException

    public UndefinedIDException(org.nfunk.jep.Token currentTokenVal,
                                int[][] expectedTokenSequencesVal,
                                java.lang.String[] tokenImageVal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD